## dune-pdelab 2.0.0

=== CMakeLists.txt ===
# set up project
project("dune-pdelab" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.6)

# guess dune-common build dir
if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

# $Id: duneproject 5370 2008-11-15 17:43:24Z christi $

# we need the module file to be able to build via dunecontrol
set(EXTRA_DIST                     
        dune.module             
        GPL-2                   
        GPL-3                   
        LGPL-3                  
        RELEASE_NOTES)

# don't follow the full GNU-standard
# we need automake 1.5
set(AUTOMAKE_OPTIONS  foreign 1.5)

# All subdirectories that must (or can) be handled before the library is built
set(SUBDIRS                                        
        doc                                     
        dune                                    
        m4)
# The library subdirectory itself
list(APPEND SUBDIRS lib)
# All subdirectories that must (or can) be handled after the library is built
# none yet...

# pass most important options when "make distcheck" is used
set(DISTCHECK_CONFIGURE_FLAGS  --with-dune=${DUNEROOT} CXX="${CXX}" CXXFLAGS="${CXXFLAGS}" CC="${CC}")

# include not needed for CMake
# include $(top_srcdir)/am/top-rules
# include not needed for CMake
# include $(top_srcdir)/am/global-rules

foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt "EXCLUDE_FROM_ALL")
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

add_subdirectory(cmake/modules)

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== doc/CMakeLists.txt ===
# $Id: Makefile.am 3930 2007-12-05 17:17:07Z robertk $

set(SUBDIRS  doxygen)

# setting like in dune-web
set(BASEDIR ..)
set(CURDIR doc)


foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt EXCLUDE_FROM_ALL)
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== dune/CMakeLists.txt ===
set(dunedir  ${CMAKE_INSTALL_INCLUDEDIR}/dune)
set(SUBDIRS  pdelab)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt EXCLUDE_FROM_ALL)
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== m4/CMakeLists.txt ===
set(M4FILES
  dune-unordered-containers.m4
  dune-pdelab.m4
  dune-posix-clock.m4
  eigen.m4
  petsc.m4)

set(aclocaldir  ${CMAKE_INSTALL_DATADIR}/dune/aclocal)
set(aclocal_DATA  ${M4FILES})

set(EXTRA_DIST  ${M4FILES})

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${aclocal_DATA} DESTINATION ${aclocaldir})

=== cmake/modules/CMakeLists.txt ===
set(modules
  DunePdelabMacros.cmake
  FindCXXUnorderedContainers.cmake
  FindPackageMultipass.cmake
  FindPETSc.cmake
  ResolveCompilerPaths.cmake
  UsePETSc.cmake)
install(FILES ${modules} DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== dune/pdelab/CMakeLists.txt ===
set(pdelabdir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab)
set(SUBDIRS
        adaptivity
        backend
        boilerplate
        common
        constraints
        experimental
        finiteelement
        finiteelementmap
        function
        gridfunctionspace
        gridoperator
        gridoperatorspace
        instationary
        linearsolver
        localoperator
        multistep
        newton
        stationary
        test)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt EXCLUDE_FROM_ALL)
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== dune/pdelab/adaptivity/CMakeLists.txt ===
set(adaptivitydir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/adaptivity)
set(adaptivity_HEADERS  adaptivity.hh)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${adaptivity_HEADERS} DESTINATION ${adaptivitydir})

=== dune/pdelab/backend/CMakeLists.txt ===
set(commondir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/backend)
set(common_HEADERS  backendselector.hh
                 eigen.hh
                 eigenmatrixbackend.hh
                 eigensolverbackend.hh
                 eigenvectorbackend.hh
                 istlmatrixbackend.hh
                 istlsolverbackend.hh
                 istlvectorbackend.hh
                 novlpistlsolverbackend.hh
                 ovlpistlsolverbackend.hh
                 petscmatrixbackend.hh
                 petscnestedvectorbackend.hh
                 petscutility.hh
                 petscvectorbackend.hh
                 seqistlsolverbackend.hh
                 simple.hh
                 solver.hh
                 tags.hh
                 )

add_subdirectory(common)
add_subdirectory(eigen)
add_subdirectory(istl)
add_subdirectory(simple)

if(NOT HAVE_EIGEN)
  exclude_from_headercheck(
    eigen.hh
    eigenmatrixbackend.hh
    eigensolverbackend.hh
    eigenvectorbackend.hh)
endif()

install(FILES ${common_HEADERS} DESTINATION ${commondir})

=== dune/pdelab/boilerplate/CMakeLists.txt ===
set(commondir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/boilerplate)
set(common_HEADERS  pdelab.hh)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${common_HEADERS} DESTINATION ${commondir})

=== dune/pdelab/common/CMakeLists.txt ===
set(commondir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/common)
set(common_HEADERS
  benchmarkhelper.hh
  borderindexidcache.hh
  clock.hh
  crossproduct.hh
  dofindex.hh
  elementmapper.hh
  exceptions.hh
  function.hh
  functionutilities.hh
  functionwrappers.hh
  geometrywrapper.hh
  globaldofindex.hh
  hostname.hh
  jacobiantocurl.hh
  logtag.hh
  multiindex.hh
  partitioninfoprovider.hh
  polymorphicbufferwrapper.hh
  range.hh
  simpledofindex.hh
  topologyutility.hh
  typetraits.hh
  unordered_map.hh
  unordered_set.hh
  utility.hh
  vtkexport.hh)

dune_add_library(dunepdelab
  clock.cc
  hostname.cc
  logtag.cc
  ADD_LIBS ${DUNE_LIBS})

install(FILES ${common_HEADERS} DESTINATION ${commondir})

=== dune/pdelab/constraints/CMakeLists.txt ===
set(constraintsdir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/constraints)
set(constraints_HEADERS
    conforming.hh
    constraints.hh
    constraintsparameters.hh
    constraintstransformation.hh
    hangingnode.hh
    hangingnodemanager.hh
    interiornode.hh
    interiornodeconstraints.hh
    mfd.hh
    noconstraints.hh
    p0.hh
    p0ghost.hh
    raviartthomas0.hh)

set(SUBDIRS common)

foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt EXCLUDE_FROM_ALL)
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

install(FILES ${constraints_HEADERS} DESTINATION ${constraintsdir})

=== dune/pdelab/experimental/CMakeLists.txt ===
set(noinst_DATA  README.txt)
set(EXTRA_DIST  README.txt)

set(SUBDIRS                                        
        common)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt EXCLUDE_FROM_ALL)
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== debian/changelog ===
dune-pdelab (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Change shared library package name to libdune-pdelab-2.0.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 25 Jun 2014 20:10:54 +0200

dune-pdelab (2.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Change shared library package name to libdune-pdelab-2.0.0rc2.
  * Add libsuperlu-dev as a preferred alternative for libsuperlu3-dev.
    (Closes: #740285)

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 20 Jun 2014 19:48:00 +0200

dune-pdelab (2.0~20140228geb4fffc-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 28 Feb 2014 10:27:23 +0100

dune-pdelab (2.0~20140205g0cee0ce-1) experimental; urgency=medium

  * New upstream snapshot.
  * Install CMake support files.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 17 Feb 2014 12:32:49 +0100

dune-pdelab (2.0~20140111g795acb4-1) experimental; urgency=low

  * Initial release.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 13 Jan 2014 22:58:16 +0100

=== debian/control ===
Source: dune-pdelab
Section: libs
Priority: optional
Standards-Version: 3.9.5
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-pdelab.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-pdelab.git
Homepage: http://www.dune-project.org/pdelab/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-common-dev (>= 2.3.1),
 libdune-geometry-dev (>= 2.3.1),
 libdune-grid-dev (>= 2.3.1),
 libdune-istl-dev (>= 2.3.1),
 libdune-localfunctions-dev (>= 2.3.1),
 libdune-typetree-dev (>= 2.3.1),
 libalberta2-dev (>= 2.0.1-5),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf

Package: libdune-pdelab-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libdune-pdelab-2.0.0 (= ${binary:Version}),
 libdune-common-dev (>= 2.3.1),
 libdune-geometry-dev (>= 2.3.1),
 libdune-grid-dev (>= 2.3.1),
 libdune-istl-dev (>= 2.3.1),
 libdune-localfunctions-dev (>= 2.3.1),
 libdune-typetree-dev (>= 2.3.1),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Description: toolbox for solving PDEs -- discretization module (development files)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the development files.

Package: libdune-pdelab-2.0.0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: toolbox for solving PDEs -- discretization module (library)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the library.

Package: libdune-pdelab-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- discretization module (documentation)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the documentation.

## dune-pdelab 2.4~20150924g056aa26

=== cmake/modules/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 set(modules
   DunePdelabMacros.cmake
-  FindCXXUnorderedContainers.cmake
   FindPackageMultipass.cmake
   FindPETSc.cmake
   ResolveCompilerPaths.cmake

=== dune/pdelab/backend/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(eigen)
add_subdirectory(istl)
add_subdirectory(simple)

if(NOT HAVE_EIGEN)
  exclude_from_headercheck(
    eigen.hh
    eigenmatrixbackend.hh
    eigensolverbackend.hh
    eigenvectorbackend.hh)
endif()

install(FILES backendselector.hh
              eigen.hh
              eigenmatrixbackend.hh
              eigensolverbackend.hh
              eigenvectorbackend.hh
              istl.hh
              istlmatrixbackend.hh
              istlsolverbackend.hh
              istlvectorbackend.hh
              novlpistlsolverbackend.hh
              ovlpistlsolverbackend.hh
              seqistlsolverbackend.hh
              simple.hh
              solver.hh
              tags.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/backend)

=== dune/pdelab/common/CMakeLists.txt ===
install(FILES benchmarkhelper.hh
              borderindexidcache.hh
              clock.hh
              crossproduct.hh
              dofindex.hh
              elementmapper.hh
              exceptions.hh
              function.hh
              functionutilities.hh
              functionwrappers.hh
              geometrywrapper.hh
              globaldofindex.hh
              hostname.hh
              instationaryfilenamehelper.hh
              jacobiantocurl.hh
              logtag.hh
              multiindex.hh
              partitioninfoprovider.hh
              polymorphicbufferwrapper.hh
              range.hh
              simpledofindex.hh
              topologyutility.hh
              typetraits.hh
              utility.hh
              vtkexport.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/common)

=== dune/pdelab/finiteelement/CMakeLists.txt ===
install(FILES localbasiscache.hh DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/finiteelement)

=== dune/pdelab/finiteelementmap/CMakeLists.txt ===
install(FILES bdm1cube2dfem.hh
              bdm1simplex2dfem.hh
              brezzidouglasmarinifem.hh
              edges0.5fem.hh
              finiteelementmap.hh
              global.hh
              l2orthonormal.hh
              mimeticfem.hh
              monomfem.hh
              opbfem.hh
              p0fem.hh
              pk1dbasis.hh
              pkfem.hh
              pkqkfem.hh
              powerfem.hh
              qkdg.hh
              qkdggl.hh
              qkfem.hh
              rannacher_turek2dfem.hh
              rannacherturekfem.hh
              raviartthomasfem.hh
              rt0cube2dfem.hh
              rt0cube3dfem.hh
              rt0simplex2dfem.hh
              rt1cube2dfem.hh
              rt1cube3dfem.hh
              rt1simplex2dfem.hh
              rt2cube2dfem.hh
              variablemonomfem.hh
              variableopbfem.hh
              variableqkdgfem.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/finiteelementmap)

=== dune/pdelab/function/CMakeLists.txt ===
install(FILES const.hh
              division.hh
              inverse.hh
              memberadaptor.hh
              minus.hh
              product.hh
              scalarscaled.hh
              selectcomponent.hh
              sqr.hh
              sqrt.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/function)

=== dune/pdelab/localoperator/CMakeLists.txt ===
install(FILES callswitch.hh
              cg_stokes.hh
              convectiondiffusion.hh
              convectiondiffusiondg.hh
              convectiondiffusionfem.hh
              convectiondiffusionparameter.hh
              defaultimp.hh
              dgnavierstokes.hh
              dgnavierstokesparameter.hh
              dgnavierstokesvelvecfem.hh
              dgparameter.hh
              diffusion.hh
              diffusionccfv.hh
              diffusiondg.hh
              diffusionmixed.hh
              diffusionparam.hh
              electrodynamic.hh
              errorindicatordg.hh
              eval.hh
              flags.hh
              idefault.hh
              interface.hh
              l2.hh
              l2volumefunctional.hh
              laplace.hh
              laplacedirichletccfv.hh
              laplacedirichletp12d.hh
              linearelasticity.hh
              linearelasticityparameter.hh
              linearacousticsdg.hh
              linearacousticsparameter.hh
              maxwelldg.hh
              maxwellparameter.hh
              navierstokesmass.hh
              pattern.hh
              poisson.hh
              scaled.hh
              stokesdg.hh
              sum.hh
              stokesdgparameter.hh
              stokesparameter.hh
              stokesdg_vecfem.hh
              taylorhoodnavierstokes.hh
              transportccfv.hh
              twophaseccfv.hh
              vectorwave.hh
              weightedsum.hh
              zero.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/localoperator)

=== dune/pdelab/ordering/CMakeLists.txt ===
install(FILES
  chunkedblockordering.hh
  decorator.hh
  directleaflocalordering.hh
  entityblockedlocalordering.hh
  gridviewordering.hh
  interleavedordering.hh
  leafgridviewordering.hh
  leaflocalordering.hh
  leaforderingbase.hh
  lexicographicordering.hh
  localorderingbase.hh
  orderingbase.hh
  orderinginterface.hh
  permutationordering.hh
  permutedordering.hh
  singlecodimleafordering.hh
  subordering.hh
  transformations.hh
  utility.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/ordering)

=== dune/pdelab/test/CMakeLists.txt ===
add_subdirectory(fem EXCLUDE_FROM_ALL)

pdelab_add_test(NAME testanalytic)
pdelab_add_test(NAME testclock)
pdelab_add_test(NAME testconstraints COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"")
pdelab_add_test(NAME testfunction)
pdelab_add_test(NAME testgridfunctionspace)
pdelab_add_test(NAME testheat-instationary-periodic)
pdelab_add_test(NAME testlaplacedirichletccfv COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"")
pdelab_add_test(NAME testelasticity)
pdelab_add_test(NAME testlocalfunctionspace)
pdelab_add_test(NAME testpk2dinterpolation COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"" ALBERTA_GRIDDIM 2)
pdelab_add_test(NAME testpk COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"" ALBERTA_GRIDDIM 2)
pdelab_add_test(NAME testpoisson COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"" ALBERTA_GRIDDIM 2)
pdelab_add_test(NAME testchunkedblockordering)
pdelab_add_test(NAME testrt0 COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"" ALBERTA_GRIDDIM 2)
pdelab_add_test(NAME testrt02dgridfunctionspace COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"" ALBERTA_GRIDDIM 2)
pdelab_add_test(NAME testutilities)
pdelab_add_test(NAME testinterpolate)
pdelab_add_test(NAME testrtfem COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"")
pdelab_add_test(NAME testbdmfem COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"")
pdelab_add_test(NAME testvectoriterator)
pdelab_add_test(NAME testpermutedordering)
pdelab_add_test(NAME testsimplebackend COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"")
pdelab_add_test(NAME test-transport-ccfv)

if(EIGEN3_FOUND)
  pdelab_add_test(NAME testeigenbackend COMPILE_DEFINITIONS "GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"")
endif(EIGEN3_FOUND)

if(dune-alugrid_FOUND)
  pdelab_add_test(NAME testordering)
endif(dune-alugrid_FOUND)

if(GMP_FOUND)
  pdelab_add_test(NAME testopbfem)
  pdelab_add_test(NAME test-dg-amg)
endif(GMP_FOUND)

# Include periodic tests. Must run in parallel.
foreach(degree IN ITEMS 1 2)
  foreach(dg IN ITEMS 0 1)
    pdelab_add_test(NAME testpoisson-periodic-2d-deg${degree}-dg${dg}-parallel SOURCES testpoisson-periodic-2d.cc MPIRANKS 2 COMPILE_DEFINITIONS "DEGREE=${degree}" "DG=${dg}")
    pdelab_add_test(NAME testpoisson-periodic-2d-deg${degree}-dg${dg}-sequential SOURCES testpoisson-periodic-2d.cc COMPILE_DEFINITIONS "DEGREE=${degree}" "DG=${dg}")
    pdelab_add_test(NAME testpoisson-periodic-3d-deg${degree}-dg${dg}-parallel SOURCES testpoisson-periodic-3d.cc MPIRANKS 4 COMPILE_DEFINITIONS "DEGREE=${degree}" "DG=${dg}")
    pdelab_add_test(NAME testpoisson-periodic-3d-deg${degree}-dg${dg}-sequential SOURCES testpoisson-periodic-3d.cc COMPILE_DEFINITIONS "DEGREE=${degree}" "DG=${dg}")
  endforeach()
endforeach()

if (UG_FOUND)
  pdelab_add_test(NAME testadaptivity)
endif (UG_FOUND)

set_tests_properties(
  testpk2dinterpolation
  testrt02dgridfunctionspace
  PROPERTIES SKIP_RETURN_CODE 77
)

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/vtk)

=== dune/pdelab/gridoperator/default/CMakeLists.txt ===
install(FILES assembler.hh
             jacobianengine.hh
             jacobianapplyengine.hh
             localassembler.hh
             patternengine.hh
             residualengine.hh
       DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/gridoperator/default)

=== debian/changelog ===
dune-pdelab (2.4~20150924g056aa26-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 26 Sep 2015 00:51:00 +0200

dune-pdelab (2.4~20150909g1341c52-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 16:09:06 +0200

dune-pdelab (2.4~20150901g19e487b-1) experimental; urgency=medium

  * New upstream snapshot.
  * Move shared library into -dev package and provide a virtual package
    that changes with the upstream version for shlib dependencies. See
    also https://lists.debian.org/debian-devel/2015/07/msg00115.html
  * libdune-pdelab-dev: Add -doc package as a suggested package.
  * Add Build-Depends-Indep: graphviz for "dot".
  * Add build-dep on libeigen3-dev to enable additional tests.
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 07 Sep 2015 13:27:49 +0200

=== debian/control ===
Source: dune-pdelab
Section: libs
Priority: optional
Standards-Version: 3.9.6
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-pdelab.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-pdelab.git
Homepage: http://www.dune-project.org/pdelab/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-common-dev (>= 2.4.0),
 libdune-geometry-dev (>= 2.4.0),
 libdune-grid-dev (>= 2.4.0),
 libdune-istl-dev (>= 2.4.0),
 libdune-localfunctions-dev (>= 2.4.0),
 libdune-typetree-dev (>= 2.4~20150922g645e692),
 libeigen3-dev,
 libalberta2-dev (>= 2.0.1-5),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-recommended, pgf

Package: libdune-pdelab-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.4.0),
 libdune-geometry-dev (>= 2.4.0),
 libdune-grid-dev (>= 2.4.0),
 libdune-istl-dev (>= 2.4.0),
 libdune-localfunctions-dev (>= 2.4.0),
 libdune-typetree-dev (>= 2.4~20150922g645e692),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Suggests: libdune-pdelab-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- discretization module (development files)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the development files.

Package: libdune-pdelab-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- discretization module (documentation)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the documentation.

## dune-pdelab 2.4.1

=== CMakeLists.txt ===
# set up project
project("dune-pdelab" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.12)

# guess dune-common build dir
if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

# Disable the upstream testing magic, that builds tests during "make test"
set(DUNE_TEST_MAGIC OFF)

# To have enable all packages work with cmake-2.8, the module
# libraries need to be added before the call to dune_enable_all_packages()
# With cmake 3.1, one would use the MODULE_LIBRARIES argument of
# dune_enable_all_packages() instead.
dune_add_library(dunepdelab
  dune/pdelab/common/clock.cc
  dune/pdelab/common/hostname.cc
  dune/pdelab/common/logtag.cc
  )
dune_target_enable_all_packages(dunepdelab)

dune_register_package_flags(LIBRARIES dunepdelab)

# Use the enable all packages feature
dune_enable_all_packages()

add_subdirectory(doc)
add_subdirectory(dune)
add_subdirectory(cmake/modules)
add_subdirectory(lib)
add_subdirectory(m4)

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== m4/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 set(M4FILES
-  dune-unordered-containers.m4
   dune-pdelab.m4
   dune-posix-clock.m4
   eigen.m4

=== cmake/modules/CMakeLists.txt ===
set(modules
  CorrectWindowsPaths.cmake
  DunePdelabMacros.cmake
  DunePdelabTestMacros.cmake
  FindPackageMultipass.cmake
  FindPETSc.cmake
  ResolveCompilerPaths.cmake
  UseEigen.cmake
  UsePETSc.cmake)
install(FILES ${modules} DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== doc/doxygen/CMakeLists.txt ===
# $Id: Makefile.am 4161 2008-05-20 21:47:51Z christi $

# setting like in dune-web
set(BASEDIR ../..)
set(CURDIR doc/doxygen)
set(WHAT )

set(doxygen_DATA  ${WHAT})

#we need this in the distribution
set(EXTRA_DIST  ${WHAT} ${DOXYGENDISTFILES})

# include not needed for CMake
# include $(top_srcdir)/am/doxygen
# include not needed for CMake
# include $(top_srcdir)/am/global-rules

# file to clean only in svn and not in tarball tree
set(SVNCLEANFILES  html ${WHAT} ${DOXYGENHEADER})


# Create and install doxygen documentation
add_doxygen_target()

=== dune/pdelab/CMakeLists.txt ===
add_subdirectory(adaptivity)
add_subdirectory(backend)
add_subdirectory(boilerplate)
add_subdirectory(common)
add_subdirectory(constraints)
add_subdirectory(finiteelement)
add_subdirectory(finiteelementmap)
add_subdirectory(function)
add_subdirectory(gridfunctionspace)
add_subdirectory(gridoperator)
add_subdirectory(instationary)
add_subdirectory(linearsolver)
add_subdirectory(localoperator)
add_subdirectory(newton)
add_subdirectory(ordering)
add_subdirectory(stationary)
add_subdirectory(test)

=== dune/pdelab/backend/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
               eigenmatrixbackend.hh
               eigensolverbackend.hh
               eigenvectorbackend.hh
+              interface.hh
               istl.hh
               istlmatrixbackend.hh
               istlsolverbackend.hh

=== dune/pdelab/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 install(FILES benchmarkhelper.hh
               borderindexidcache.hh
               clock.hh
+              concept.hh
               crossproduct.hh
               dofindex.hh
               elementmapper.hh
@@ -12,15 +13,20 @@
               globaldofindex.hh
               hostname.hh
               instationaryfilenamehelper.hh
+              intersectiontype.hh
               jacobiantocurl.hh
               logtag.hh
               multiindex.hh
-              partitioninfoprovider.hh
+              partitionviewentityset.hh
               polymorphicbufferwrapper.hh
+              quadraturerules.hh
               range.hh
+              referenceelements.hh
               simpledofindex.hh
               topologyutility.hh
+              typelist.hh
               typetraits.hh
+              typeutilities.hh
               utility.hh
               vtkexport.hh
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/common)

=== dune/pdelab/finiteelement/CMakeLists.txt ===
install(FILES
  dglegendre.hh
  localbasiscache.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/finiteelement)

=== dune/pdelab/finiteelementmap/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 install(FILES bdm1cube2dfem.hh
               bdm1simplex2dfem.hh
               brezzidouglasmarinifem.hh
+              dglegendre.hh
               edges0.5fem.hh
               finiteelementmap.hh
               global.hh
@@ -16,7 +17,6 @@
               qkdg.hh
               qkdggl.hh
               qkfem.hh
-              rannacher_turek2dfem.hh
               rannacherturekfem.hh
               raviartthomasfem.hh
               rt0cube2dfem.hh

=== dune/pdelab/gridfunctionspace/CMakeLists.txt ===
install(FILES compositegridfunctionspace.hh
              datahandleprovider.hh
              entityindexcache.hh
              genericdatahandle.hh
              gridfunctionspace.hh
              gridfunctionspacebase.hh
              gridfunctionspaceutilities.hh
              interpolate.hh
              lfsindexcache.hh
              localfunctionspace.hh
              localfunctionspacetags.hh
              localvector.hh
              powercompositegridfunctionspacebase.hh
              powergridfunctionspace.hh
              subspace.hh
              subspacelocalfunctionspace.hh
              tags.hh
              utility.hh
              vectorgridfunctionspace.hh
              vtk.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/gridfunctionspace)

=== dune/pdelab/instationary/CMakeLists.txt ===
install(FILES explicitonestep.hh
              implicitonestep.hh
              onestep.hh
              onestepparameter.hh
              pvdwriter.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/instationary)

=== dune/pdelab/linearsolver/CMakeLists.txt ===
install(FILES stationarymatrix.hh DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/linearsolver)

=== debian/changelog ===
dune-pdelab (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 10 Mar 2016 10:02:21 +0100

dune-pdelab (2.4~20160225g3614fe8-1) unstable; urgency=medium

  * New upstream snapshot.
  * Mark libdune-pdelab-dev as Multi-Arch: same.
  * debian/control: Update Vcs-* fields.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Feb 2016 15:13:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-pdelab.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-pdelab.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-pdelab.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-pdelab.git
 Homepage: http://www.dune-project.org/pdelab/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.4.0),
- libdune-geometry-dev (>= 2.4.0),
- libdune-grid-dev (>= 2.4.0),
- libdune-istl-dev (>= 2.4.0),
- libdune-localfunctions-dev (>= 2.4.0),
- libdune-typetree-dev (>= 2.4~20150922g645e692),
+ libdune-common-dev (>= 2.4.1),
+ libdune-geometry-dev (>= 2.4.1),
+ libdune-grid-dev (>= 2.4.1),
+ libdune-istl-dev (>= 2.4.1),
+ libdune-localfunctions-dev (>= 2.4.1),
+ libdune-typetree-dev (>= 2.4.1),
  libeigen3-dev,
  libalberta2-dev (>= 2.0.1-5),
  libgmp-dev,
@@ -24,13 +24,14 @@
 Package: libdune-pdelab-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.4.0),
- libdune-geometry-dev (>= 2.4.0),
- libdune-grid-dev (>= 2.4.0),
- libdune-istl-dev (>= 2.4.0),
- libdune-localfunctions-dev (>= 2.4.0),
- libdune-typetree-dev (>= 2.4~20150922g645e692),
+ libdune-common-dev (>= 2.4.1),
+ libdune-geometry-dev (>= 2.4.1),
+ libdune-grid-dev (>= 2.4.1),
+ libdune-istl-dev (>= 2.4.1),
+ libdune-localfunctions-dev (>= 2.4.1),
+ libdune-typetree-dev (>= 2.4.1),
  libgmp-dev,
  libsuperlu-dev | libsuperlu3-dev
 Suggests: libdune-pdelab-doc (= ${source:Version})

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk
export DEB_CXXFLAGS_MAINT_APPEND = -fpermissive

# https://dune-project.org/flyspray/index.php?do=details&task_id=1414
DUNE_DEBIAN_CONFIGURE_FLAGS += DUNE_GRID_ROOT=/usr

%:
	dh $@ --parallel

## dune-pdelab 2.5.0~20170124g7cf9f47a

=== dune/pdelab/function/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-install(FILES const.hh
+install(FILES callableadapter.hh
+              const.hh
               division.hh
               inverse.hh
               memberadaptor.hh

=== dune/pdelab/test/CMakeLists.txt ===
add_subdirectory(fem)

dune_add_test(SOURCES testanalytic.cc)

dune_add_test(SOURCES testclock.cc)

dune_add_test(NAME testcomplexnumbers-istl
              SOURCES testcomplexnumbers.cc
              COMPILE_DEFINITIONS SUPERLU_NTYPE=3
                                  USE_ISTL)

dune_add_test(NAME testcomplexnumbers-istlbackend
              SOURCES testcomplexnumbers.cc
              COMPILE_DEFINITIONS SUPERLU_NTYPE=3
                                  USE_ISTL_BACKEND)

dune_add_test(SOURCES testconstraints.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")

dune_add_test(SOURCES testdunefunctionsgfs.cc
              CMAKE_GUARD dune-functions_FOUND)

dune_add_test(SOURCES testfunction.cc)

dune_add_test(SOURCES testgridfunctionspace.cc)

dune_add_test(SOURCES testgridfunctionspace-fixedsize.cc)

dune_add_test(SOURCES testpowergridfunctionspace-fixedsize.cc)

dune_add_test(SOURCES testplasticitygfs.cc)

dune_add_test(SOURCES testheat-instationary-periodic.cc)

dune_add_test(SOURCES testelasticity.cc)

dune_add_test(SOURCES testdglegendre.cc)

dune_add_test(SOURCES testlocalfunctionspace.cc)

dune_add_test(SOURCES testlocaloperatorinterface.cc)

dune_add_test(SOURCES testpk2dinterpolation.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
add_dune_alberta_flags(testpk2dinterpolation)

dune_add_test(SOURCES testpk.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
add_dune_alberta_flags(testpk)

dune_add_test(SOURCES testpoisson.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
add_dune_alberta_flags(testpoisson)

dune_add_test(SOURCES testchunkedblockordering.cc)

dune_add_test(SOURCES testrt0.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
add_dune_alberta_flags(testrt0)

dune_add_test(SOURCES testrt02dgridfunctionspace.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
add_dune_alberta_flags(testrt02dgridfunctionspace)

dune_add_test(SOURCES testutilities.cc)

dune_add_test(SOURCES testinterpolate.cc)

dune_add_test(SOURCES test-instationary-with-boundary-constraints.cc)

dune_add_test(SOURCES testnumericaljacobianmethods.cc)

dune_add_test(SOURCES testrtfem.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")

dune_add_test(SOURCES testbdmfem.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")

dune_add_test(SOURCES testvectoriterator.cc)

dune_add_test(SOURCES testpermutedordering.cc)

dune_add_test(SOURCES testsimplebackend.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")

dune_add_test(SOURCES test-transport-ccfv.cc)


if(EIGEN3_FOUND)
  dune_add_test(SOURCES testeigenbackend.cc
               COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
endif(EIGEN3_FOUND)

if(dune-alugrid_FOUND)
  dune_add_test(SOURCES testordering.cc)

  dune_add_test(SOURCES testloadbalancing.cc
                COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
                MPI_RANKS 2
                TIMEOUT 300)
endif(dune-alugrid_FOUND)

if(GMP_FOUND)
  dune_add_test(SOURCES testopbfem.cc)
  dune_add_test(SOURCES test-dg-amg.cc)
endif(GMP_FOUND)

# Include periodic tests. Must run in parallel.
foreach(degree IN ITEMS 1 2)
  foreach(dg IN ITEMS 0 1)
    dune_add_test(NAME testpoisson-periodic-2d-deg${degree}-dg${dg}-parallel
                  SOURCES testpoisson-periodic-2d.cc
                  MPI_RANKS 1 2
                  COMPILE_DEFINITIONS DEGREE=${degree} DG=${dg}
                  TIMEOUT 300)

    dune_add_test(NAME testpoisson-periodic-3d-deg${degree}-dg${dg}-parallel
                  SOURCES testpoisson-periodic-3d.cc
                  MPI_RANKS 1 4
                  COMPILE_DEFINITIONS DEGREE=${degree} DG=${dg}
                  TIMEOUT 300)
  endforeach()
endforeach()

dune_add_test(NAME testnonoverlappingsinglephaseflow-yasp
              SOURCES testnonoverlappingsinglephaseflow.cc
              MPI_RANKS 1 2
              TIMEOUT 300)

if(UG_FOUND)
  dune_add_test(NAME testnonoverlappingsinglephaseflow-ug
                SOURCES testnonoverlappingsinglephaseflow.cc
                COMPILE_DEFINITIONS GRID_UG
                MPI_RANKS 1 2
                TIMEOUT 300)

  dune_add_test(SOURCES testnonoverlappingsinglephaseflow-boilerplate.cc
                COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
                MPI_RANKS 2
                TIMEOUT 300)

  dune_add_test(SOURCES testadaptivity.cc)

  dune_add_test(SOURCES testnonoverlapping.cc
                MPI_RANKS 2
                TIMEOUT 300)
endif()

exclude_from_headercheck(
  gridexamples.hh
  helmholtzoperator.hh
  testadaptivity-adaptivity.hh
  testadaptivity-bcextension.hh
  testadaptivity-bctype.hh
  testadaptivity-error-indicator.hh
  testadaptivity-operator.hh
  testcomplexnumbers-problem.hh
  testnonoverlappingsinglephaseflow-boilerplate-problem.hh
  testnonoverlappingsinglephaseflow-problem.hh
  testpoisson-periodic.hh
)

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/vtk)

=== debian/changelog ===
dune-pdelab (2.5.0~20170124g7cf9f47a-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove 0001-Increase-timeout-to-default-300s.patch (applied upstream).
  * Add Build-Depends: & Recommends: libdune-functions-dev.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 24 Jan 2017 21:51:15 +0100

dune-pdelab (2.5.0~20161204gdb53a76-3) unstable; urgency=medium

  * Increase timeouts for more tests. Hopefully this is enough now for all
    architectures.
    + new patch: increase-timeout.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 07 Dec 2016 22:36:38 +0100

dune-pdelab (2.5.0~20161204gdb53a76-2) unstable; urgency=medium

  * Increase test timeout to 300s. This should fix the build failure on
    several slower architectures.
    + new patch: 0001-Increase-timeout-to-default-300s.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 06 Dec 2016 20:01:51 +0100

dune-pdelab (2.5.0~20161204gdb53a76-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fixes build failure with newer SuperLU versions. (Closes: #838327)
  * Switch to CMake.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 06 Dec 2016 02:14:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,32 +8,31 @@
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-pdelab.git
 Homepage: http://www.dune-project.org/pdelab/
 Build-Depends: debhelper (>= 9),
- automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.4.1),
- libdune-geometry-dev (>= 2.4.1),
- libdune-grid-dev (>= 2.4.1),
- libdune-istl-dev (>= 2.4.1),
- libdune-localfunctions-dev (>= 2.4.1),
- libdune-typetree-dev (>= 2.4.1),
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-functions-dev (>= 2.5.0),
+ libdune-grid-dev (>= 2.5.0),
+ libdune-istl-dev (>= 2.5.0),
+ libdune-localfunctions-dev (>= 2.5.0),
+ libdune-typetree-dev (>= 2.5.0),
  libeigen3-dev,
  libalberta2-dev (>= 2.0.1-5),
  libgmp-dev,
  libsuperlu-dev | libsuperlu3-dev
-Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-recommended, pgf
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, pgf
 
 Package: libdune-pdelab-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.4.1),
- libdune-geometry-dev (>= 2.4.1),
- libdune-grid-dev (>= 2.4.1),
- libdune-istl-dev (>= 2.4.1),
- libdune-localfunctions-dev (>= 2.4.1),
- libdune-typetree-dev (>= 2.4.1),
+ libdune-grid-dev (>= 2.5.0),
+ libdune-istl-dev (>= 2.5.0),
+ libdune-localfunctions-dev (>= 2.5.0),
+ libdune-typetree-dev (>= 2.5.0),
  libgmp-dev,
  libsuperlu-dev | libsuperlu3-dev
+Recommends:
+ libdune-functions-dev (>= 2.5.0)
 Suggests: libdune-pdelab-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- discretization module (development files)
